itacad Posted October 2 Posted October 2 Good morning, is it possible to have two separate copy commands? - I would like the first one to have the multiple copy mode always active - I would like the second one to have the multiple copy mode always deactivated Thanks in advance Quote
SLW210 Posted October 2 Posted October 2 CO = Copy CO > Select Objects (if none already selected) > (O (mOde) to change the mode if desired) > M (for Multiple if mode is Single) or S (if mode in multiple) > Select location(s) to copy to. COPY 1 found Current settings: Copy mode = Single Specify base point or [Displacement/mOde/Multiple] <Displacement>: m Specify base point or [Displacement/mOde/Multiple] <Displacement>: Specify second point or [Array] <use first point as displacement>: Specify second point or [Array/Exit/Undo] <Exit>: Not sure any method to really speed that up. But, the answer to your query is YES! Create a toolbar with the above steps, make shortcuts. Or probably better create a LISP with shortcuts. Make Your Own Commands In AutoCAD | CADnotes (cad-notes.com) Quote
itacad Posted Friday at 08:13 AM Author Posted Friday at 08:13 AM Hi, I've been thinking about what I would like to do. I would like to duplicate the copy command (and the move command) in this way. I would like the clone of the Copy command to have the snaps deactivated when I am in the Paste phase, as if I had already pressed SNAP None (_non). In practice I would like to make a button for the Copy command "clone" and when I press it this sequence should happen: Copy "clone" Select object with snap activated Paste with snap none End What should I write in the Macro line after ^C^C? I tried ^C^CCopy_non but it doesn't work, if this solution is possible, what should I write? Thanks Quote
BIGAL Posted Saturday at 04:37 AM Posted Saturday at 04:37 AM Just look at what you normally type, a space between command entries. ^C^CCopy _non Quote
itacad Posted Monday at 04:35 PM Author Posted Monday at 04:35 PM Nothing works, in the meantime I found this page https://help.autodesk.com/view/ACDLT/2025/ITA/?guid=GUID-DDDB6E26-75E1-4643-8C6A-BEAEBA83A424 but I still haven't solved it even though it seems important and worth studying I tried to make a lisp, but there is also the problem that I have some inputs to give to the keyboard...for example the program asks me: Ambiguous answer: specify more clearly... SIngle or SUbobject? on How could it be corrected? I repeat what I would like to do copy a selected object, only once (single mode) and paste it with the snaps disabled or with snap none (_non) (defun c:copia_NON () (command "_copy" "_non" "") ) Help! Quote
BIGAL Posted Monday at 10:53 PM Posted Monday at 10:53 PM You need to complete the code your only doing half, your only calling the command not actioning it, "Copy" "Select objects" (defun c:copia_NON () (command "_copy" (entsel "\npick object") "" (getpoint "\nPick base point ") "_non" (getpoint "\nPick next point " "")) ) Quote
itacad Posted 19 hours ago Author Posted 19 hours ago Sorry but it doesn't work... Strangely it keeps asking me, when I launch lisp, if I want to consider: SIngle or SUbobject? But it's a definition that asks me for the copy command only when I want to use it via LISP. Absurdly I made this code: (defun c:copia_NON () (command "_copy") ) and it asks me anyway...Why? Quote
Recommended Posts
Join the conversation
You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.